> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/operations/general/suspect-protocol-activity-detections-feature-overview.md).

# Suspect Protocol Activity detections (feature overview)

Understand the Suspect Protocol Activity (SPA) detections feature.

{% hint style="info" %}
**Please Note:**

Vectra AI has updated the Suspect Protocol Activity (SPA) detections feature to no longer require that the Suricata engine be enabled in order to gain the majority of benefits from SPA detections.

There is no longer any need to enable the SPA detections feature for your network Sensors as all non-Suricata based detections are already running in your Vectra AI deployment.

**Specifically:**

* The vast majority of SPA detections are now algorithm based using a technique that is easier to develop detections for than Vectra AI's traditional AI model based detections.
* There are a small amount of prior SPA detections that will be made available only to customers who are running [Match](/deployment/match/deployment.md).
  * Please see [#prior-spa-detections-only-available-in-match](#prior-spa-detections-only-available-in-match "mention") for details.
  * These detections will be provided as part of the Vectra [Curated Ruleset](/deployment/match/vectra-curated-ruleset.md) for Match and are in a new SID range that is reserved for Vectra's use. That range is 4,200,000 to 4,299,999
* In a future update, the ability to enable and disable SPA detections at the CLI will be removed entirely since SPA detections no longer require the Suricata engine running.
  * Additional guidance will be provided at that time for customers who are currently not running Match and only have SPA detections enabled.
  * Is is strongly recommended to **NOT** enable Suricata-based SPA detections at the CLI as of today since it is no longer required.
    {% endhint %}

## Introduction

Suspect Protocol Activity (SPA) detections are a feature of Vectra NDR and enhance the overall effectiveness of your deployment. Vectra's existing AI models provide an incredible breadth of coverage for both known and unknown attack vectors because they examine attacker behavior. These AI models can take months to over a year to research, build, test, and deploy. SPA detections are based on much simpler to develop algorithms and can be developed in much shorter time frames. Some attack behaviors do not need a sophisticated AI model to find them and can be efficiently found using simpler techniques.

As per the note at the top of this article, SPA detections originally required the Suricata engine to be running on your Vectra AI network Sensors. This is no longer the case. A few prior SPA detections are now only available in Match. Please see [#prior-spa-detections-only-available-in-match](#prior-spa-detections-only-available-in-match "mention") for details.

There is no additional licensing cost incurred for SPA detections.

## Prior SPA Detections Only Available in Match

A small number of the former Suricata-based SPA rules are now being made available to [Vectra Match](/deployment/match/deployment.md) customers as part of the [Vectra curated ruleset](/deployment/match/vectra-curated-ruleset.md).

Vectra AI worked with the [SID Allocation Working Group](https://github.com/sidallocation/sidallocation.org) to reserve the following range for use exclusively by Vectra AI:

* 4,200,000 to 4,299,999
* The rest of the Vectra curated ruleset uses SIDs in the 1,000,000 to 2,999,999 range as the curated ruleset is sourced from Emerging Threats and is further curated by Vectra AI.

The full chart of allocations is here: <https://sidallocation.org/>

The former Suricata-based SPA detection rules that were moved to the curated ruleset will have `msg:"VECTRA <CATEGORY> <NAME>"` format inside of them to make finding and understanding them easier.

Vectra Match utilizes the open source [Suricata](https://suricata.io/) IDS engine. Vectra’s Sensors (network data sources) are extremely high performance and adept at producing the proprietary metadata required to supply the AI-based behavioral models utilized by Vectra NDR. Match enables these same Sensors to also run a Suricata engine that is fed by the same capture buffers that feed the existing data processing pipeline.

* If you are interested in running Vectra Match in addition to SPA detections, please see the following Vectra Match related resources:
  * [Vectra Match Deployment Guide](https://docs.vectra.ai/deployment/match/deployment)
  * [Vectra Match FAQ](https://docs.vectra.ai/deployment/match/faq)
  * [Vectra Match Troubleshooting](https://docs.vectra.ai/deployment/match/troubleshooting)
  * [Vectra Match Performance and Ruleset Optimization Guidance](https://docs.vectra.ai/deployment/match/performance-and-rulset-optimization)
  * [Vectra Match Suricata Configuration](https://docs.vectra.ai/deployment/match/suricata-configuration)
  * [Vectra Match Curated Ruleset](https://docs.vectra.ai/deployment/match/vectra-curated-ruleset)

## SPA Detections Explained

For details on what each SPA detection covers please see [Suspect Protocol Activity Detections (Explained)](/operations/detection-specific-guidance/suspect-protocol-activity-detection-descriptions.md).

## Performance / Throughput

Previously, when running Suricata-based SPA detections, the performance of Sensors was impacted similarly to when Match is being run on Sensors. Now that SPA detections no longer require the Suricata engine, there is no performance impact for running SPA detections in addition to all other Vectra detections.

## Enabling / Disabling Suricata-based SPA Detections

{% hint style="info" %}
**Please Note:**

In a future update, the ability to enable and disable SPA detections at the CLI will be removed entirely since SPA detections no longer require the Suricata engine running.

* Additional guidance will be provided at that time for customers who are currently not running Match and only have SPA detections enabled.
* These commands and frequently asked questions remain for now until all customers have disabled Suricata-based SPA detections.
* Is is stongly recommended to **NOT** enable Suricata-based SPA detections at the CLI as of today since it is no longer required.
  {% endhint %}

You will need access to the CLI of your Vectra Brain appliance to enable, disable, or check the status of Suricata-based SPA detections for your deployment. If you are not already familiar with how to access the CLI of your Brain as the "vectra" user please see the following KB:

* [SSH login process for CLI](/deployment/appliance-operations/ssh-login-process-for-cli.md)

### Planning for Required Sensor Downtime

Sensors need to reboot when they change their enablement state for Suricata-based SPA detections. This means that when a Sensor is enabled (changes state from disabled to enabled) or disabled (changes state from enabled to disabled), as a normal part of configuration, the Sensor must reboot.

Please keep in mind the following:

* During the reboot of the Sensor, no traffic will be processed by the Sensor that you are changing the state on.
  * This means that metadata will not be passed to the Brain for further processing (Vectra NDR, Recall, Stream, etc).
  * If the device rebooting is a mixed-mode Brain, no traffic captured by that appliance will be buffered during the reboot.
* Sensor reboots generally take from 1 to 10 minutes depending on the Sensor model.
  * Virtual (including cloud) Sensors are normally the fastest.
  * Hardware Sensors take a bit more time to boot.
* Suricata-based SPA detections processes outside of the reboot mentioned above, can also take 5 to 10 minutes to complete when changing state.
  * These processes will not impact the non-Suricata-based SPA detections related duties your performed by your Sensor..
* There are no impacts to the Brain, Recall, Stream, or other Sensors (that are not having their enablement state changed).
  * This only impacts the Sensor that is changing enablement states.
  * !! If the Brain is mixed-mode, it will also enable and therefore reboot.
* You should plan enablement state changes for Suricata-based SPA detections during times where being unable to process traffic and forward metadata on to the Brain will have the least impact.

### Suricata-based SPA Specific Commands

```language-markup
suspect-protocol-activity enable
suspect-protocol-activity disable
suspect-protocol-activity status
```

#### **Help Output for Each Command:**

<details>

<summary>Expand for details</summary>

```language-markup
Usage: suspect-protocol-activity enable [ --accept_reboot ]

  Enable SPA

Options:
  --accept_reboot
  -h, --help       Show this message and exit.
```

```language-markup
vscli > suspect-protocol-activity disable --help
Usage: suspect-protocol-activity disable [ --accept_reboot ]

  Disable SPA

Options:
  --accept_reboot
  -h, --help       Show this message and exit.
```

```language-markup
vscli > suspect-protocol-activity status --help
Usage: suspect-protocol-activity status

  View SPA status from paired devices

Options:
  -h, --help  Show this message and exit.
```

```language-markup
vscli > suspect-protocol-activity --help
Usage:  suspect-protocol-activity

  View information about suspect protocol activity (SPA) state

Options:
  -h, --help  Show this message and exit.

Commands:
  disable  Disable SPA
  enable   Enable SPA
  status   View SPA status from paired devices
```

</details>

### Examples and Guidance for Specific Situations

Please read all of the below headings to see which apply to your deployment.

#### Warning Given When Enabling Suricata-based SPA Detections With a Valid Match License

```language-markup
- Enabling SPA with a valid Match license means SPA will only run on sensors with Match enabled.
```

* When you enable Suricata-based SPA detections when you already have a valid Match license, you can control which Sensors are enabled/disabled and the SPA ruleset will be applied automatically to every Match enabled Sensor(device).
* Only Match customers can choose which Sensors are enabled for Suricata-based SPA detections and this will always be the same as which Sensors are enabled for Match.

#### Warning Given When Enabling Suricata-based SPA Detections With No Match License

```language-markup
- All sensors will reboot while enabling SPA.
- All sensors will incur a a 40% to 60% performance impact depending on the Sensor model.  Please see https://support.vectra.ai/s/article/KB-VS-1793 and look at the Performance/Throughput section for performance numbers for your Sensor when running Suspect Protocol Activity Detections.
```

* There is no ability to control which Sensors are enabled for Suricata-based SPA detections unless you also are a Match customer as per the above warning.

#### Warning Given When Enabling Suricata-based SPA Detections on a Mixed-Mode Brain

```language-markup
- All sensors will reboot while enabling SPA.
- All sensors will incur a a 40% to 60% performance impact depending on the Sensor model.  Please see https://support.vectra.ai/s/article/KB-VS-1793 and look at the Performance/Throughput section for performance numbers for your Sensor when running Suspect Protocol Activity Detections.
- This device will reboot while enabling SPA.
- This device will incur a a 40% to 60% performance impact depending on the Sensor model.  Please see https://support.vectra.ai/s/article/KB-VS-1793 and look at the Performance/Throughput section for performance numbers for your Sensor when running Suspect Protocol Activity Detections.
```

* Since a mixed-mode Brain is both a Sensor and a Brain, both the Brain and any paired Sensors need to reboot.

#### Warning Given When a Match Customer Disables Suricata-based SPA Detections

```language-markup
- Disabling Suspect Protocol Activity.
```

* There are no reboots or performance changes because Match is still running.
* Functionally, the only change is that the Suricata-based SPA detections specific ruleset is removed.
* Match continues to function normally.

#### Warning Given When a Customer Not Running Match Disables Suricata-based SPA Detections

```language-markup
- All sensors will reboot while disabling SPA.
```

* As per the Planning for Required Sensor Downtime above, the Sensor needs to reboot to disable Suricata-based SPA.
* If the Brain is in mixed-mode, then this additional message is appended to the one above:

```language-markup
- This device will reboot while disabling SPA.
```

* All paired devices, including the mixed-mode Brain need to reboot to disable Suricata-based SPA detections.

#### Suricata-based SPA Detections Customers Purchases Match License

* If the following applies in your situation:
  * Suricata-based SPA detections are already enabled.
  * Match is then purchased.
  * You are now wanting to enable your first device (Sensor) for Match.
* You will receive a warning from the Match API that contains this text:

"Suspect Protocol Activity Detections are enabled, in order to Enable Vectra Match, you must first disable Suspect Protocol Activity Detections, Enable Match, then Re-Enable Suspect Protocol Activity Detections. For more information please see: [https://support.vectra.ai/s/article/KB-VS-1793](/operations/general/suspect-protocol-activity-detections-feature-overview.md)"

* You must disable Suricata-based SPA detections first, then enable the first Match device (Sensor), and then re-enable Suricata-based SPA detections.
* Once this is done, any devices enabled for Match will also run Suricata-based SPA detections. Any Sensors not enabled for Match, will not run Suricata-based SPA detections.

#### Example Suricata-based SPA Enabling / Disabling and Status Checking Example

```language-markup
vscli > suspect-protocol-activity status
Success
{"is_enabled": false}

vscli > suspect-protocol-activity enable
WARNINGS:
- Enabling SPA with a valid Match license means SPA will only run on sensors with Match enabled.
Are you sure you want to continue? [y/N]: y
Success
{"is_enabled": true}

vscli > suspect-protocol-activity status
Success
{"is_enabled": true}

vscli > suspect-protocol-activity disable
WARNINGS:
- Disabling Suspect Protocol Activity.
Are you sure you want to continue? [y/N]: y
Success
{"is_enabled": false}

vscli > suspect-protocol-activity status
Success
{"is_enabled": false}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.vectra.ai/operations/general/suspect-protocol-activity-detections-feature-overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
